
QGIS Application - Bug report #1299

Incomplete loading of 11.0 after using 10.0 on Intel iMac

2008-09-06 02:19 AM - johngi1 -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11359

Description

The problem occurs when 11.0 installation follows a 10.0 installation and operation.

An initial installation of 11.0 on a new [[MacBook]] was successful but the same .dmg failed repeatedly when installed on the iMac that

had been running 10.0.

The startup splash box is plain white with no content.

The main window fails to load the menu bar or content, then hangs, then crashes.

The problem report for the last attempt follows:

Process:         qgis r1327

Path:            /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/qgis

Identifier:      org.qgis.qgis

Version:         0.11.0-Metis (8811) (0.11.0-Metis (8811))

Code Type:       X86 (Native)

Parent Process:  launchd r104

Date/Time:       2008-09-06 19:09:17.849 +1000

OS Version:      Mac OS X 10.5.4 (9E17)

Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)

Exception Codes: KERN_INVALID_ADDRESS at 0x000000001756b00c

Crashed Thread:  0

Thread 0 Crashed:

0   com.apple.HIToolbox               0x92b5aabe [[RegisterCallbackInternal]](unsigned long, void ()(unsigned long, void, void*), unsigned

long, void*) + 60

1   com.apple.HIToolbox               0x92b54f42 [[IsMenuBarWindowFilterSupported]] + 92

2   com.apple.HIToolbox               0x92b4b9bd [[ResetMenuBarWindowFilter]]() + 27

3   com.apple.HIToolbox               0x92b3e34b [[ShowBar]](unsigned char, unsigned char) + 285

4   com.apple.HIToolbox               0x92b5e06d [[SetMenuBarObscured]] + 185

5   com.apple.HIToolbox               0x92b5dd1f HIApplication::HandleActivated(OpaqueEventRef*, unsigned char, [[OpaqueWindowPtr]]*)

+ 183

6   com.apple.HIToolbox               0x92b5bf58 HIApplication::EventObserver(unsigned long, [[OpaqueEventRef]]*, void*) + 232

7   com.apple.HIToolbox               0x92b30ee2 _NotifyEventLoopObservers + 154

8   com.apple.HIToolbox               0x92b5bb44 [[AcquireEventFromQueue]] + 464

9   com.apple.HIToolbox               0x92b59b2e [[ReceiveNextEventCommon]] + 231

10  com.apple.HIToolbox               0x92c9caf3 [[ReceiveNextEvent]] + 58

11  [[QtGui]]                             0x00979694 QClipboard::clear(QClipboard::Mode) + 6740

12  [[QtCore]]                            0x003b9e81 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 65
13  [[QtCore]]                            0x003b9f4d QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 157

14  [[QtCore]]                            0x003bdee1 QCoreApplication::exec() + 161

15  org.qgis.qgis                     0x000087a7 main + 5637

16  org.qgis.qgis                     0x00005f2a start + 258

17  org.qgis.qgis                     0x00005e51 start + 41

Thread 0 crashed with X86 Thread State (32-bit):

  eax: 0x1756b004  ebx: 0x92b5aa92  ecx: 0x6d6c6f63  edx: 0x000384d9

  edi: 0x92d7026c  esi: 0x02148e0c  ebp: 0xbffff368  esp: 0xbffff300

   ss: 0x0000001f  efl: 0x00010283  eip: 0x92b5aabe   cs: 0x00000017

   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037

  cr2: 0x1756b00c

Binary Images:

    0x1000 -   0x1f0293 org.qgis.qgis 0.11.0-Metis (8811) (0.11.0-Metis (8811)) <3450ef3a141e4e25814e0e149f44c316>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/qgis

  0x2bc000 -   0x479ff3 +QtCore ? (?) <eb07254cb46be863f85f3228aa767ac0>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/QtCore.framework/Versions/4/QtCore

  0x4de000 -   0x52cfff +QtXml ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/QtXml.framework/Versions/4/QtXml

  0x544000 -   0x581ff5 +QtSvg ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/QtSvg.framework/Versions/4/QtSvg

  0x596000 -   0x660fe2 +QtNetwork ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/QtNetwork.framework/Versions/4/QtNetwork

  0x694000 -   0x6befed +QtSql ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/QtSql.framework/Versions/4/QtSql

  0x6d1000 -   0x6e7fcf +libpq.5.dylib ? (?) /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libpq.5.dylib

  0x6ef000 -   0x71dfc7 +libproj.0.dylib ? (?) /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libproj.0.dylib

  0x72a000 -   0x72efff +libgif.4.dylib ? (?) /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libgif.4.dylib

  0x906000 -  0x103bfe7 +QtGui ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/QtGui.framework/Versions/4/QtGui

 0x120c000 -  0x132b1ef +libqgis_core.0.11.dylib ? (?) <2e7413d2ce8c4764ad25f148ce2dacbf>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libqgis_core.0.11.dylib

 0x13c0000 -  0x13f9f4f +libqgis_gui.0.11.dylib ? (?) <b3ba01ba6fe34baaab9d52b1fb7ef4f0>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libqgis_gui.0.11.dylib

 0x1427000 -  0x14d9fe7 +libgeos.3.dylib ? (?) /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libgeos.3.dylib

 0x1591000 -  0x18e2fc6 +libgdal.1.dylib ? (?) /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libgdal.1.dylib

 0x1a84000 -  0x1ad4ff7 +libsqlite3.0.dylib ? (?) /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libsqlite3.0.dylib

 0x1ada000 -  0x1ae2ffb +libgeos_c.1.dylib ? (?) /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libgeos_c.1.dylib

 0x1aed000 -  0x1b07fc3 +libexpat.1.dylib ? (?) /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libexpat.1.dylib

 0x1b0e000 -  0x1d76fc4 +libxerces-c.28.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libxerces-c.28.dylib

 0x1feb000 -  0x2023ff7 +libjasper.1.dylib ? (?) /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libjasper.1.dylib

 0x2035000 -  0x204afff +libgeotiff.1.dylib ? (?) /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libgeotiff.1.dylib

 0x2058000 -  0x20a1fef +libtiff.3.dylib ? (?) /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libtiff.3.dylib

 0x20a9000 -  0x20caff7 +libjpeg.62.dylib ? (?) /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libjpeg.62.dylib

 0x20d0000 -  0x20edfff +libpng12.0.dylib ? (?) /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libpng12.0.dylib

 0x20f3000 -  0x211effb  libcurl.3.dylib ? (?) <54ada27deb3b4ff7043d8836264eca0d> /usr/lib/libcurl.3.dylib

 0x2159000 -  0x217aff3 +libqjpeg.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/plugins/imageformats/libqjpeg.dylib

 0x21ca000 -  0x21d8feb  libSimplifiedChineseConverter.dylib ? (?) <a506528715475cff6c623675f3a72bf8>

/System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib

 0x256e000 -  0x2572ff7 +gdal_GRASS.so ? (?)
/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/gdalplugins/gdal_GRASS.so

 0x26a4000 -  0x26b6fff  libTraditionalChineseConverter.dylib ? (?) <62db211c07419a0432254a86fcc96587>

/System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib

0x13ef0000 - 0x13efcb71 +libqgispython.dylib ? (?) <1e12caeabb724974ab41928219d5997c>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libqgispython.dylib

0x13f03000 - 0x13fcefeb  org.python.python 2.5 (2.5) <e25c22d85c260b924b91ee8f643c0774>

/System/Library/Frameworks/Python.framework/Versions/2.5/Python

0x14039000 - 0x14045a9f +sip.so ? (?) /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/share/qgis/python/sip.so

0x15fdc000 - 0x15fe0fff +libgrass_dbmiclient.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/grass/libgrass_dbmiclient.dylib

0x15fe6000 - 0x15fe6fff +libgrass_linkm.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/grass/libgrass_linkm.dylib

0x15ffa000 - 0x15ffffff +libgrass_shape.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/grass/libgrass_shape.dylib

0x16e4c000 - 0x16e72523 +libcopyrightlabelplugin.so ? (?) <22e8ff177ac64489b1ebd394e83965ba>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libcopyrightlabelplugin.so

0x16e7b000 - 0x16eb0857 +libdelimitedtextplugin.so ? (?) <d656ead44cb74cd7b4844f5c155ca1e5>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libdelimitedtextplugin.so

0x16eba000 - 0x16ec90e5 +libdelimitedtextprovider.so ? (?) <074761a69b4b4af6b062668fdb33cf04>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libdelimitedtextprovider.so

0x16ed0000 - 0x16ee6bfb +libgpxprovider.so ? (?) <72b55d01eb4f46bbb4e6637426c8ea0e>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libgpxprovider.so

0x16ef1000 - 0x16ef2fff +libgrass_form.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/grass/libgrass_form.dylib

0x170b7000 - 0x170d73b7 +libgeorefplugin.so ? (?) <3d37f138a044459f92914fdf6c9ac187>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libgeorefplugin.so

0x170e9000 - 0x170f6fff +libgrass_dig2.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/grass/libgrass_dig2.dylib

0x17337000 - 0x17367fef +libgslcblas.0.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libgslcblas.0.dylib

0x1736c000 - 0x1738e47f +libqgisgrass.0.11.dylib ? (?) <37b8d607a97543d7b504f7b4c9b00b76>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libqgisgrass.0.11.dylib

0x1739e000 - 0x173c4fe7 +libgrass_vect.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/grass/libgrass_vect.dylib

0x173cf000 - 0x173d5fff +libgrass_dbmibase.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/grass/libgrass_dbmibase.dylib

0x17467000 - 0x17469ffd  strop.so ? (?) <368d8f646651c0bb5e77f518587296b9>

/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/lib-dynload/strop.so

0x175da000 - 0x1774afc7 +libgsl.0.dylib ? (?) /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libgsl.0.dylib

0x1778f000 - 0x1779dfff +libgrass_dgl.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/grass/libgrass_dgl.dylib

0x177a4000 - 0x177a7fdf +libgrass_rtree.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/grass/libgrass_rtree.dylib

0x17842000 - 0x178ce6f3 +libgpsimporterplugin.so ? (?) <fdf8e79a234f4dd2b1685f4f83fde870>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libgpsimporterplugin.so

0x178e3000 - 0x17a1ef35 +libgrassplugin.so ? (?) <90246ad97a3c4a85be21b16277c6a44b>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libgrassplugin.so

0x17a83000 - 0x17abbfe7 +libgrass_gis.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/grass/libgrass_gis.dylib

0x17ace000 - 0x17ad2fff +libgrass_datetime.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/grass/libgrass_datetime.dylib

0x17ad7000 - 0x17adcfff +libgrass_gproj.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/grass/libgrass_gproj.dylib
0x17ae1000 - 0x17cebfff +Qt3Support ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/Qt3Support.framework/Versions/4/Qt3Support

0x17daf000 - 0x17db73e3 +libgrassprovider.so ? (?) <9241d09b0ad84639bda5c1e545e70a6a>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libgrassprovider.so

0x17dbb000 - 0x17dde417 +libgridmakerplugin.so ? (?) <3bc11aeebd1b4b49bd31e4ae88388a14>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libgridmakerplugin.so

0x18396000 - 0x1839e9c7 +libmemoryprovider.so ? (?) <7c8f0914a2f542229907726f45f99a33>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libmemoryprovider.so

0x183a4000 - 0x183ccd53 +libnortharrowplugin.so ? (?) <9c39fccfaf264c288d4f83350eded8c5>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libnortharrowplugin.so

0x183d6000 - 0x183e4c73 +libogrprovider.so ? (?) <878720a51d734fdab7a9011b27214211>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libogrprovider.so

0x183ec000 - 0x183f2ff7 +ogr_GRASS.so ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/gdalplugins/ogr_GRASS.so

0x183f9000 - 0x18400ffb +libgrass_I.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/grass/libgrass_I.dylib

0x18406000 - 0x18408fff +libgrass_vask.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/grass/libgrass_vask.dylib

0x1840d000 - 0x18410fef +libgrass_gmath.dylib ? (?)

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/grass/libgrass_gmath.dylib

0x18414000 - 0x184c8feb +libfftw3.3.dylib ? (?) /Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/libfftw3.3.dylib

0x184dc000 - 0x184ed6df +libpggeoprocessingplugin.so ? (?) <b5d1f99a3db44e4dae2412d2e19b4945>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libpggeoprocessingplugin.so

0x184f7000 - 0x18529d13 +libpostgresprovider.so ? (?) <d1240a4811ba48bea1e04446e33f89c1>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libpostgresprovider.so

0x1853c000 - 0x1854a84b +libquickprintplugin.so ? (?) <572cdae189be42b49f5df5d65dbcba2f>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libquickprintplugin.so

0x18553000 - 0x18581ae7 +libscalebarplugin.so ? (?) <cc0fb0c103b1418f8a4ffd9c139f50c2>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libscalebarplugin.so

0x1858b000 - 0x185bb0b1 +libspitplugin.so ? (?) <a979e6b1b3b04c988e81d1e7455e4a08>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libspitplugin.so

0x185d1000 - 0x185e0fa9 +libwfsplugin.so ? (?) <e63ed9e705b243db8a34745b6fb63d41>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libwfsplugin.so

0x185eb000 - 0x1860415a +libwfsprovider.so ? (?) <52a96029235c4a05beef471e09e72b3b>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libwfsprovider.so

0x1ba92000 - 0x1bac2871 +libwmsprovider.so ? (?) <406e3e81711e46ebab2c733fe09c589f>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/lib/qgis/libwmsprovider.so

0x1bd79000 - 0x1bea1bdb +QtCore.so ? (?) <b1d4335c643b46069c989d3a162d53b1>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/share/qgis/python/PyQt4/QtCore.so

0x1bf57000 - 0x1c46377f +QtGui.so ? (?) <196ad9db36214b019309a109477c2cb4>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/share/qgis/python/PyQt4/QtGui.so

0x1c7be000 - 0x1c84101f +core.so ? (?) <f5ca62802d254647a5d5205177ee7895>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/share/qgis/python/qgis/core.so

0x1c896000 - 0x1c8c50e7 +QtXml.so ? (?) <079a42bb0d084c93885aed36daea35c6>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/share/qgis/python/PyQt4/QtXml.so

0x1c8e2000 - 0x1c93ac22 +gui.so ? (?) <76a88cdd46b84b1f80b9f226e558bec7>

/Users/johngi/Desktop/qgis-0.11.0/qgis0.11.0.app/Contents/MacOS/share/qgis/python/qgis/gui.so

0x1d35c000 - 0x1d47aff7  com.apple.RawCamera.bundle 2.0.8 (2.0.8) <56067945130800a348eb076676d41e92>

/System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera

0x8fe00000 - 0x8fe2da53  dyld 96.2 (?) <7af47d3b00b2268947563c7fa8c59a07> /usr/lib/dyld

0x90003000 - 0x901d1fff  com.apple.security 5.0.4 (34102) <f01d6cbd6a0f24f6c13952ed448e77d6>

/System/Library/Frameworks/Security.framework/Versions/A/Security

0x901d2000 - 0x901faff7  com.apple.shortcut 1 (1.0) <057783867138902b52bc0941fedb74d1>
/System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut

0x901fb000 - 0x90206ff9  com.apple.helpdata 1.0 (14) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData

0x90207000 - 0x902aefeb  com.apple.QD 3.11.52 (?) <c72bd7bd2ce12694c3640a731d1ad878>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD

0x902cb000 - 0x90352ff7  libsqlite3.0.dylib ? (?) <6978bbcca4277d6ae9f042beff643f7d> /usr/lib/libsqlite3.0.dylib

0x90353000 - 0x905cefe7  com.apple.Foundation 6.5.5 (677.19) <bfd4ebea1a7739dd6b523f15dca01a37>

/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation

0x905d5000 - 0x90652fef  libvMisc.dylib ? (?)

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib

0x906a2000 - 0x906bafff  com.apple.openscripting 1.2.8 (?) <d85d82af796d1df9bce7b1db8f6c846c>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting

0x9073e000 - 0x90752ff3  com.apple.ImageCapture 4.0 (5.0.0)

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture

0x90753000 - 0x90773ff2  libGL.dylib ? (?) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib

0x90774000 - 0x90774ffd  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2)

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib

0x9080a000 - 0x9083cfff  com.apple.LDAPFramework 1.4.3 (106) <94a26abfc0a5d88c752763b44a10ae51>

/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP

0x9083e000 - 0x9088eff7  com.apple.HIServices 1.7.0 (?) <f7e78891a6d08265c83dca8e378be1ea>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices

0x90f70000 - 0x90fb1fe7  libRIP.A.dylib ? (?) <8c2cd4f044b3413d770ca8ad740f7645>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib

RIP.A.dylib

0x90fb2000 - 0x90ff4fef  com.apple.NavigationServices 3.5.2 (163) <91844980804067b07a0b6124310d3f31>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices

0x90ff5000 - 0x910c0fff  com.apple.ColorSync 4.5.0 (4.5.0)

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync

0x910c1000 - 0x910cfffd  libz.1.dylib ? (?) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib

0x910d0000 - 0x9110ffef  libTIFF.dylib ? (?) <76301b3506f310fb454b58897c8d0a9f>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib

.dylib

0x91145000 - 0x91163fff  libresolv.9.dylib ? (?) <0629b6dcd71f4aac6a891cbe26253e85> /usr/lib/libresolv.9.dylib

0x91173000 - 0x91206ff3  com.apple.ApplicationServices.ATS 3.3 (?) <064eb6d96417afa38a80b1735c4113aa>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS

0x9123e000 - 0x91278fff  com.apple.coreui 1.1 (61) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI

0x912c9000 - 0x913fbfff  com.apple.CoreFoundation 6.5.3 (476.14) <7ef7f5db09ff6dd0135a6165872803cc>

/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

0x913fc000 - 0x914c3ff2  com.apple.vImage 3.0 (3.0)

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage

0x914c4000 - 0x914e8feb  libssl.0.9.7.dylib ? (?) <3512c4a8198f0e964748bf6acbf359b4> /usr/lib/libssl.0.9.7.dylib

0x9268b000 - 0x9268bfff  com.apple.Carbon 136 (136) <9961570a497d79f13b8ea159826af42d>

/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon

0x9268c000 - 0x9268efff  com.apple.securityhi 3.0 (30817) <dbe328cd62d603a952a4226342711e8b>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI

0x9268f000 - 0x926a5fe7  com.apple.CoreVideo 1.5.1 (1.5.1) <ed7bb95fb94817ea3212090aac5c65f3>

/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo

0x926a6000 - 0x926b1fe7  libCSync.A.dylib ? (?) <3f58eb487099bff0476ec79974d0ad4d>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib

CSync.A.dylib

0x926b2000 - 0x926dafff  libcups.2.dylib ? (?) <ece20dff2a2c8ed3ae6ef735ef440c37> /usr/lib/libcups.2.dylib

0x926db000 - 0x92706fe7  libauto.dylib ? (?) <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib

0x92775000 - 0x92794ffa  libJPEG.dylib ? (?) <0dd7e9d7fb22174b78205a944144f9c3>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
G.dylib

0x9279a000 - 0x9279affd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib

0x9279b000 - 0x927caff7  libncurses.5.4.dylib ? (?) <3b2ac2ca8190942b6b81d2a7012ea859> /usr/lib/libncurses.5.4.dylib

0x927d8000 - 0x92807fe3  com.apple.AE 402.2 (402.2) <e01596187e91af5d48653920017b8c8e>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE

0x92b2a000 - 0x92e31ff7  com.apple.HIToolbox 1.5.3 (?) <e36f5c553e5a32f64b7eb458dadadc71>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox

0x92e32000 - 0x92e70ff7  libGLImage.dylib ? (?) <093b1b698ca93a0380f5fa262459ea28>

/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib

0x92e71000 - 0x92e7bfeb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound

0x92f8d000 - 0x93017fe3  com.apple.DesktopServices 1.4.6 (1.4.6) <94d1a28b351b7dff77becadab0967772>

/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv

0x93018000 - 0x9304ffff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <8b26ebf26a009a098484f1ed01ec499c>

/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration

0x93050000 - 0x93052ff5  libRadiance.dylib ? (?) <b9e04afa91e4b597a00797d67a7268fb>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib

iance.dylib

0x9311d000 - 0x931fcfff  libobjc.A.dylib ? (?) <a53206274b6c2d42691f677863f379ae> /usr/lib/libobjc.A.dylib

0x931fd000 - 0x93221fff  libxslt.1.dylib ? (?) <4933ddc7f6618743197aadc85b33b5ab> /usr/lib/libxslt.1.dylib

0x934c7000 - 0x93627ff3  libSystem.B.dylib ? (?) <a12f397abf2285077b89bd726bff5b18> /usr/lib/libSystem.B.dylib

0x93628000 - 0x93630fff  com.apple.DiskArbitration 2.2.1 (2.2.1) <75b0c8d8940a8a27816961dddcac8e0f>

/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration

0x93631000 - 0x93ccdfef  com.apple.CoreGraphics 1.351.32 (?) <793d7ceb9e1880818e03c1f1b10df04b>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics

s

0x93cce000 - 0x93e06ff7  libicucore.A.dylib ? (?) <5031226ea28b371d8dfdbb32acfb48b5> /usr/lib/libicucore.A.dylib

0x93e07000 - 0x93e86ff5  com.apple.SearchKit 1.2.0 (1.2.0) <277b460da86bc222785159fe77e2e2ed>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit

0x93f49000 - 0x93f4dfff  libGIF.dylib ? (?) <b8f61e346fa243a7138910bed3dcdb6b>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib

dylib

0x93f51000 - 0x93fadff7  com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering

0x93fae000 - 0x94288ff3  com.apple.CoreServices.CarbonCore 786.6 (786.6) <bc7c12c84fe21ae2626bdd17070aaafa>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore

0x94289000 - 0x94298fff  libsasl2.2.dylib ? (?) <b9e1ca0b6612e280b6cbea6df0eec5f6> /usr/lib/libsasl2.2.dylib

0x94299000 - 0x9437aff7  libxml2.2.dylib ? (?) <1baef3d4972ee789d8fa6c1fa44da45c> /usr/lib/libxml2.2.dylib

0x9437b000 - 0x9437bffa  com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2>

/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices

0x9437c000 - 0x9437cffb  com.apple.installserver.framework 1.0 (8)

/System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer

0x9437d000 - 0x943d7ff7  com.apple.CoreText 2.0.2 (?) <9fde11f84a72e890bbf2aa8b0b13b79a>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText

0x943d8000 - 0x9448affb  libcrypto.0.9.7.dylib ? (?) <01109b36b445b3e8698ef87f814f7fd4> /usr/lib/libcrypto.0.9.7.dylib

0x9448b000 - 0x94494fff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition

0x94495000 - 0x94495ffc  com.apple.audio.units.AudioUnit 1.5 (1.5)

/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit

0x9456a000 - 0x9456ffff  com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels

0x94570000 - 0x94664ff4  libiconv.2.dylib ? (?) <c508c60fafca17824c0017b2e4369802> /usr/lib/libiconv.2.dylib

0x94665000 - 0x94669fff  libmathCommon.A.dylib ? (?) /usr/lib/system/libmathCommon.A.dylib

2024-04-29 6/8



0x9466b000 - 0x94672fe9  libgcc_s.1.dylib ? (?) <a9ab135a5f81f6e345527df87f51bfc9> /usr/lib/libgcc_s.1.dylib

0x94673000 - 0x94a31fea  libLAPACK.dylib ? (?)

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib

0x94a32000 - 0x9522ffef  com.apple.AppKit 6.5.3 (949.33) <84b236f43802f4c15011513d18efa101>

/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit

0x95230000 - 0x95315ff3  com.apple.CoreData 100.1 (186) <8e28162ef2288692615b52acc01f8b54>

/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData

0x95316000 - 0x953a9fff  com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink

0x9554f000 - 0x958e5fff  com.apple.QuartzCore 1.5.3 (1.5.3) <1b65c05f89e81a499302fd63295b242d>

/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore

0x958e6000 - 0x95996fff  edu.mit.Kerberos 6.0.12 (6.0.12) <1dc515ebe407292db8e603938c72d4e8>

/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos

0x95997000 - 0x9599afff  com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help

0x95c23000 - 0x96033fef  libBLAS.dylib ? (?)

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib

0x96295000 - 0x963b9fe3  com.apple.audio.toolbox.AudioToolbox 1.5.1 (1.5.1)

/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox

0x963ba000 - 0x96436feb  com.apple.audio.CoreAudio 3.1.0 (3.1) <483e0d3879d52ba9ac10b4bcfb0728d6>

/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio

0x965f3000 - 0x965faffe  libbsm.dylib ? (?) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib

0x965fb000 - 0x96602ff7  libCGATS.A.dylib ? (?) <fbc59d0e1eccf907396563568d5cd872>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib

CGATS.A.dylib

0x96603000 - 0x9661eff3  libPng.dylib ? (?) <c0484bec6e2432b406755591924fe664>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib

dylib

0x9661f000 - 0x9661fff8  com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices

0x96620000 - 0x96626fff  com.apple.print.framework.Print 218.0.2 (220.1) <8bf7ef71216376d12fcd5ec17e43742c>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print

0x96627000 - 0x966a1ff8  com.apple.print.framework.PrintCore 5.5.3 (245.3) <222dade7b33b99708b8c09d1303f93fc>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore

0x966a2000 - 0x9672eff7  com.apple.LaunchServices 289.2 (289.2) <3577886e3a6d56ee3949850c4fde76c9>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices

0x9672f000 - 0x9673ffff  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <06d8fc0307314f8ffc16f206ad3dbf44>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis

ynthesis

0x96740000 - 0x96786fef  com.apple.Metadata 10.5.2 (398.18) <adbb3a14e8f7da444e16d2fd61862771>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata

0x96787000 - 0x967e4ffb  libstdc+.6.dylib ? (?) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib

0x967e5000 - 0x96812feb  libvDSP.dylib ? (?) <b232c018ddd040ec4e2c2af632dd497f>

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib

0x96813000 - 0x9686cff7  libGLU.dylib ? (?) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib

0x9686d000 - 0x968efff3  com.apple.CFNetwork 330.4 (330.4) <ce5b085df34a78b7f198aff9db5b52ec>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork

0x968f0000 - 0x96dc3ffe  libGLProgrammability.dylib ? (?) <475db64244e011cd8811e076035b2632>

/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib

0x96dc4000 - 0x96e4ffff  com.apple.framework.IOKit 1.5.1 (?) <60cfc4b175c4ef60bb8e9036716a29f4>

/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit

0x96ec5000 - 0x96f7ffe3  com.apple.CoreServices.OSServices 226.5 (226.5) <7e10d25c615a39fe1ab4d48e24a3b555>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x96f81000 - 0x96f97fff  com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices

ices

0x96f98000 - 0x970deff7  com.apple.ImageIO.framework 2.0.2 (2.0.2) <77dfee73f4c0d230425a5151ee0bce05>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO

0x97119000 - 0x97119ffd  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2)

/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate

0x9721c000 - 0x9721dffc  libffi.dylib ? (?) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib

0x9721e000 - 0x9722effc  com.apple.LangAnalysis 1.6.4 (1.6.4) <8b7831b5f74a950a56cf2d22a2d436f6>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis

0x97235000 - 0x97241fe7  com.apple.opengl 1.5.6 (1.5.6) <125de77ea2434a91364e79a0905a7771>

/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL

0xba900000 - 0xba916fff  libJapaneseConverter.dylib ? (?) <1e92e348e73fc6fce723936c11e4b25c>

/System/Library/CoreServices/Encodings/libJapaneseConverter.dylib

0xbab00000 - 0xbab21fe2  libKoreanConverter.dylib ? (?) <2f3be93c8c0872958b681397ee09c9f1>

/System/Library/CoreServices/Encodings/libKoreanConverter.dylib

0xfffe8000 - 0xfffebfff  libobjc.A.dylib ? (?) /usr/lib/libobjc.A.dylib

0xffff0000 - 0xffff1780  libSystem.B.dylib ? (???) /usr/lib/libSystem.B.dylib

History

#1 - 2008-09-09 07:38 AM - Tom Elwertowski

Try deleting the preferences file (~/Library/Preferences/org.qgis.qgis.plist)

#2 - 2009-01-19 10:13 AM - Paolo Cavallini

Does this solve the problem? Should the installer be patched, or it is enough to document the issue in the manual?

#3 - 2009-01-31 02:29 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

I assume this has been fixed with new (1.0) installer. Please check with that version and reopen it if necessary.

#4 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted
